# -*- coding: utf-8 -*-
#
# ** header v3.0
# This file is a part of the CaosDB Project.
#
# Copyright (C) 2018 Research Group Biomedical Physics,
# Max-Planck-Institute for Dynamics and Self-Organization Göttingen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
#
# ** end header
#

"""Created on 20.09.2016."""

from sys import hexversion
if hexversion < 0x03000000:
    from ConfigParser import ConfigParser  # @UnusedImport @UnresolvedImport
else:
    from configparser import ConfigParser  # @UnresolvedImport @Reimport

_DEFAULTS = {"Connection":
             {"url": None,
                 "timeout": "200",
                 "username": None,
                 "password": None,
                 "password_method": "plain",
                 "debug": "0",
                 "cacert": None},
             "Container":
             {"debug": "0"}}


def _reset_config():
    global _pycaosdbconf
    pycaosdbconf = None
    _pycaosdbconf = ConfigParser(allow_no_value=True)
    _init_defaults(_pycaosdbconf)


def _init_defaults(confpar):
    for sec in _DEFAULTS.keys():
        confpar.add_section(sec)
        for opt in _DEFAULTS[sec].keys():
            confpar.set(sec, opt, _DEFAULTS[sec][opt])


def configure(inifile):
    global _pycaosdbconf
    if "_pycaosdbconf" not in globals():
        _pycaosdbconf = None
    if _pycaosdbconf is None:
        _reset_config()
    _pycaosdbconf.read(inifile)


def get_config():
    return _pycaosdbconf
